#!/bin/sh
# Simple uclibc timezone selector
# dronz #zipit

EU1="CET-1CEST,M3.5.0,M10.5.0/3"
EU2="EET-2EEST,M3.5.0/3,M10.5.0/4"
US1="EST5EDT,M3.2.0,M11.1.0"
US2="CST6CDT,M3.2.0,M11.1.0"
US3="MST7MDT,M3.2.0,M11.1.0"

while (true); do
cont=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu "Selected: \n${tz}"    \
14 30 16                   \
11  'VALIDATE' \
00 'QUIT' \
01 'Africa' \
02 'America' \
03 'Antarctica' \
04 'Arctic' \
05 'Asia' \
06 'Atlantic' \
07 'Australia' \
08 'Europe' \
09 'Indian' \
10 'Pacific' \
)
case "$cont" in

00) break;;

11)echo "${tz}" > /mnt/ffs/etc/TZ
   break;;
    
01) afr=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' AFRICA '    \
14 30 16                   \
00 'RETURN' \
01 'Abidjan' \
02 'Accra' \
03 'Addis Ababa' \
04 'Algiers' \
05 'Asmara' \
06 'Bamako' \
07 'Bangui' \
08 'Banjul' \
09 'Bissau' \
10 'Blantyre' \
11 'Brazzaville' \
12 'Bujumbura' \
13 'Casablanca' \
14 'Ceuta' \
15 'Conakry' \
16 'Dakar' \
17 'Dar es Salaam' \
18 'Djibouti' \
19 'Douala' \
20 'El Aaiun' \
21 'Freetown' \
22 'Gaborone' \
23 'Harare' \
24 'Johannesburg' \
25 'Juba' \
26 'Kampala' \
27 'Khartoum' \
28 'Kigali' \
29 'Kinshasa' \
30 'Lagos' \
31 'Libreville' \
32 'Lome' \
33 'Luanda' \
34 'Lubumbashi' \
35 'Lusaka' \
36 'Malabo' \
37 'Maputo' \
38 'Maseru' \
39 'Mbabane' \
40 'Mogadishu' \
41 'Monrovia' \
42 'Nairobi' \
43 'Ndjamena' \
44 'Niamey' \
45 'Nouakchott' \
46 'Ouagadougou' \
47 'Porto-Novo' \
48 'Sao Tome' \
49 'Tripoli' \
50 'Tunis' \
51 'Windhoek' \
)
case "$afr" in
00);;
01)tz="GMT0";;
02)tz="GMT0";;
03)tz="EAT-3";;
04)tz="CET-1";;
05)tz="EAT-3";;
06)tz="GMT0";;
07)tz="WAT-1";;
08)tz="GMT0";;
09)tz="GMT0";;
10)tz="CAT-2";;
11)tz="WAT-1";;
12)tz="CAT-2";;
13)tz="WET0WEST,M4.5.0/2,M9,5,0/3";;
14)tz="${EU1}";;
15)tz="GMT0";;
16)tz="GMT0";;
17)tz="EAT-3";;
18)tz="EAT-3";;
19)tz="WAT-1";;
20)tz="WET0WEST,M4.5.0/2,M9,5,0/3";;
21)tz="GMT0";;
22)tz="CAT-2";;
23)tz="CAT-2";;
24)tz="SAST-2";;
25)tz="EAT-3";;
26)tz="EAT-3";;
27)tz="EAT-3";;
28)tz="CAT-2";;
29)tz="WAT-1";;
30)tz="WAT-1";;
31)tz="WAT-1";;
32)tz="GMT0";;
33)tz="WAT-1";;
34)tz="CAT-2";;
35)tz="CAT-2";;
36)tz="WAT-1";;
37)tz="CAT-2";;
38)tz="SAST-2";;
39)tz="SAST-2";;
40)tz="EAT-3";;
41)tz="GMT0";;
42)tz="EAT-3";;
43)tz="WAT-1";;
44)tz="WAT-1";;
45)tz="GMT0";;
46)tz="GMT0";;
47)tz="WAT-1";;
48)tz="GMT0";;
49)tz="EET-2";;
50)tz="CET-1";;
51)tz="WAT-1WAST,M9.1.0,M4.1.0";;
esac ;;

02) amer=$(
/mnt/ffs/bin/dialog --stdout   \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' AMERICA '    \
14 30 16                   \
000 'RETURN' \
001 'Adak' \
002 'Anchorage' \
003 'Anguilla' \
004 'Antigua' \
005 'Araguaina' \
006 'Argentina' \
007 'Aruba' \
008 'Asuncion' \
009 'Atikokan' \
010 'Bahia' \
011 'Barbados' \
012 'Belem' \
013 'Belize' \
014 'Blanc-Sablon' \
015 'Boa Vista' \
016 'Bogota' \
017 'Boise' \
018 'Cambridge Bay' \
019 'Campo Grande' \
020 'Cancun' \
021 'Caracas' \
022 'Cayenne' \
023 'Cayman' \
024 'Chicago' \
025 'Chihuahua' \
026 'Costa Rica' \
027 'Cuiaba' \
028 'Curacao' \
029 'Danmarkshavn' \
030 'Dawson' \
031 'Dawson Creek' \
032 'Denver' \
033 'Detroit' \
034 'Dominica' \
035 'Edmonton' \
036 'Eirunepe' \
037 'El Salvador' \
038 'Fortaleza' \
039 'Glace Bay' \
040 'Goose Bay' \
041 'Grand Turk' \
042 'Grenada' \
043 'Guadeloupe' \
044 'Guatemala' \
045 'Guayaquil' \
046 'Guyana' \
047 'Halifax' \
048 'Havana' \
049 'Hermosillo' \
050 'IN Indianapolis' \
051 'IN Knox' \
052 'IN Marengo' \
053 'IN Petersburg' \
054 'IN Tell City' \
055 'IN Vevay' \
056 'IN Vincennes' \
057 'IN Winamac' \
058 'Inuvik' \
059 'Iqaluit' \
060 'Jamaica' \
061 'Juneau' \
062 'KY Louisville' \
063 'KY Monticello' \
064 'La Paz' \
065 'Lima' \
066 'Los Angeles' \
067 'Maceio' \
068 'Managua' \
069 'Manaus' \
070 'Marigot' \
071 'Martinique' \
072 'Matamoros' \
073 'Mazatlan' \
074 'Menominee' \
075 'Merida' \
076 'Mexico City' \
077 'Miquelon' \
078 'Moncton' \
079 'Monterrey' \
080 'Montevideo' \
081 'Montreal' \
082 'Montserrat' \
083 'Nassau' \
084 'New York' \
085 'Nipigon' \
086 'Nome' \
087 'Noronha' \
088 'ND Center' \
089 'ND New Salem' \
090 'Ojinaga' \
091 'Panama' \
092 'Pangnirtung' \
093 'Paramaribo' \
094 'Phoenix' \
095 'Port of Spain' \
096 'Port-au-Prince' \
097 'Porto Velho' \
098 'Puerto Rico' \
099 'Rainy River' \
100 'Rankin Inlet' \
101 'Recife' \
102 'Regina' \
103 'Rio Branco' \
104 'Santa Isabel' \
105 'Santarem' \
106 'Santo Domingo' \
107 'Sao Paulo' \
108 'Scoresbysund' \
109 'Shiprock' \
110 'St Barthelemy' \
111 'St Johns' \
112 'St Kitts' \
113 'St Lucia' \
114 'St Thomas' \
115 'St Vincent' \
116 'Swift Current' \
117 'Tegucigalpa' \
118 'Thule' \
119 'Thunder Bay' \
120 'Tijuana' \
121 'Toronto' \
122 'Tortola' \
123 'Vancouver' \
124 'Whitehorse' \
125 'Winnipeg' \
126 'Yakutat' \
127 'Yellowknife' \
)
case "$amer" in
000);;
001)tz="HAST10HADT,M3.2.0,M11.1.0";;
002)tz="AKST9AKDT,M3.2.0,M11.1.0";;
003)tz="AST4";;
004)tz="AST4";;
005)tz="BRT3";;
006)tz="ART3";;
007)tz="AST4";;
008)tz="PYT4PYST,M10.1.0/0,M4.2.0/0";;
009)tz="EST5";;
010)tz="BRT3";;
011)tz="AST4";;
012)tz="BRT3";;
013)tz="CST6";;
014)tz="AST4";;
015)tz="AMT4";;
016)tz="COT5";;
017)tz="${US3}";;
018)tz="${US3}";;
019)tz="AMT4AMST,M10.3.0/0,M2.3.0/0";;
020)tz="CST6CDT,M4.1.0,M10.5.0";;
021)tz="VET4:30";;
022)tz="GFT3";;
023)tz="EST5";;
024)tz="${US2}";;
025)tz="MST7MDT,M4.1.0,M10.5.0";;
026)tz="CST6";;
027)tz="AMT4AMST,M10.3.0/0,M2.3.0/0";;
028)tz="AST4";;
029)tz="GMT0";;
030)tz="PST8PDT,M3.2.0,M11.1.0";;
031)tz="MST7";;
032)tz="${US3}";;
033)tz="${US1}";;
034)tz="AST4";;
035)tz="${US3}";;
036)tz="AMT4";;
037)tz="CST6";;
038)tz="BRT3";;
039)tz="AST4ADT,M3.2.0,M11.1.0";;
040)tz="AST4ADT,M3.2.0/0:01,M11.1.0/0:01";;
041)tz="${US1}";;
042)tz="AST4";;
043)tz="AST4";;
044)tz="CST6";;
045)tz="ECT5";;
046)tz="GYT4";;
047)tz="AST4ADT,M3.2.0,M11.1.0";;
048)tz="CST5CDT,M3.2.0/0,M10.5.0/1";;
049)tz="MST7";;
050)tz="${US1}";;
051)tz="${US2}";;
052)tz="${US1}";;
053)tz="${US1}";;
054)tz="${US2}";;
055)tz="${US1}";;
056)tz="${US1}";;
057)tz="${US1}";;
058)tz="${US3}";;
059)tz="${US1}";;
060)tz="EST5";;
061)tz="AKST9AKDT,M3.2.0,M11.1.0";;
062)tz="${US1}";;
063)tz="${US1}";;
064)tz="BOT4";;
065)tz="PET5";;
066)tz="PST8PDT,M3.2.0,M11.1.0";;
067)tz="BRT3";;
068)tz="CST6";;
069)tz="AMT4";;
070)tz="AST4";;
071)tz="AST4";;
072)tz="${US2}";;
073)tz="MST7MDT,M4.1.0,M10.5.0";;
074)tz="${US2}";;
075)tz="CST6CDT,M4.1.0,M10.5.0";;
076)tz="CST6CDT,M4.1.0,M10.5.0";;
077)tz="PMST3PMDT,M3.2.0,M11.1.0";;
078)tz="AST4ADT,M3.2.0,M11.1.0";;
079)tz="CST6CDT,M4.1.0,M10.5.0";;
080)tz="UYT3UYST,M10.1.0,M3.2.0";;
081)tz="${US1}";;
082)tz="AST4";;
083)tz="${US1}";;
084)tz="${US1}";;
085)tz="${US1}";;
086)tz="AKST9AKDT,M3.2.0,M11.1.0";;
087)tz="FNT2";;
088)tz="${US2}";;
089)tz="${US2}";;
090)tz="${US3}";;
091)tz="EST5";;
092)tz="${US1}";;
093)tz="SRT3";;
094)tz="MST7";;
095)tz="AST4";;
096)tz="EST5";;
097)tz="AMT4";;
098)tz="AST4";;
099)tz="${US2}";;
100)tz="${US2}";;
101)tz="BRT3";;
102)tz="CST6";;
103)tz="AMT4";;
104)tz="PST8PDT,M4.1.0,M10.5.0";;
105)tz="BRT3";;
106)tz="AST4";;
107)tz="BRT3BRST,M10.3.0/0,M2.3.0/0";;
108)tz="EGT1EGST,M3.5.0/0,M10.5.0/1";;
109)tz="${US3}";;
110)tz="AST4";;
111)tz="NST3:30NDT,M3.2.0/0:01,M11.1.0/0:01";;
112)tz="AST4";;
113)tz="AST4";;
114)tz="AST4";;
115)tz="AST4";;
116)tz="CST6";;
117)tz="CST6";;
118)tz="AST4ADT,M3.2.0,M11.1.0";;
119)tz="${US1}";;
120)tz="PST8PDT,M3.2.0,M11.1.0";;
121)tz="${US1}";;
122)tz="AST4";;
123)tz="PST8PDT,M3.2.0,M11.1.0";;
124)tz="PST8PDT,M3.2.0,M11.1.0";;
125)tz="${US2}";;
126)tz="AKST9AKDT,M3.2.0,M11.1.0";;
127)tz="${US3}";;
esac ;;

03) ant=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' ANTARTICA '    \
14 30 16                   \
00 'RETURN' \
01 'Casey' \
02 'Davis' \
03 'DumontDUrville' \
04 'Macquarie' \
05 'Mawson' \
06 'McMurdo' \
07 'Rothera' \
08 'South Pole' \
09 'Syowa' \
10 'Vostok' \
)
case "$ant" in 
00);;
01)tz="WST-8";;
02)tz="DAVT-7";;
03)tz="DDUT-10";;
04)tz="MIST-11";;
05)tz="MAWT-5";;
06)tz="NZST-12NZDT,M9.5.0,M4.1.0/3";;
07)tz="ROTT3";;
08)tz="NZST-12NZDT,M9.5.0,M4.1.0/3";;
09)tz="SYOT-3";;
10)tz="VOST-6";;
esac ;;

04) arc=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' ARCTIC '    \
14 30 16                   \
00 'RETURN' \
01 'Longyearbyen' \
)
case "$arc" in 
00);;
01)tz="${EU1}";;
esac ;;

05) asi=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' ASIA '    \
14 30 16                   \
00 'RETURN' \
01 'Aden' \
02 'Almaty' \
03 'Anadyr' \
04 'Aqtau' \
05 'Aqtobe' \
06 'Ashgabat' \
07 'Baghdad' \
08 'Bahrain' \
09 'Baku' \
10 'Bangkok' \
11 'Beirut' \
12 'Bishkek' \
13 'Brunei' \
14 'Choibalsan' \
15 'Chongqing' \
16 'Colombo' \
17 'Damascus' \
18 'Dhaka' \
19 'Dili' \
20 'Dubai' \
21 'Dushanbe' \
22 'Gaza' \
23 'Harbin' \
24 'Ho Chi Minh' \
25 'Hong Kong' \
26 'Hovd' \
27 'Irkutsk' \
28 'Jakarta' \
29 'Jayapura' \
30 'Kabul' \
31 'Kamchatka' \
32 'Karachi' \
33 'Kashgar' \
34 'Kathmandu' \
35 'Kolkata' \
36 'Krasnoyarsk' \
37 'Kuala Lumpur' \
38 'Kuching' \
39 'Kuwait' \
40 'Macau' \
41 'Magadan' \
42 'Makassar' \
43 'Manila' \
44 'Muscat' \
45 'Nicosia' \
46 'Novokuznetsk' \
47 'Novosibirsk' \
48 'Omsk' \
49 'Oral' \
50 'Phnom Penh' \
51 'Pontianak' \
52 'Pyongyang' \
53 'Qatar' \
54 'Qyzylorda' \
55 'Rangoon' \
56 'Riyadh' \
57 'Sakhalin' \
58 'Samarkand' \
59 'Seoul' \
60 'Shanghai' \
61 'Singapore' \
62 'Taipei' \
63 'Tashkent' \
64 'Tbilisi' \
65 'Thimphu' \
66 'Tokyo' \
67 'Ulaanbaatar' \
68 'Urumqi' \
69 'Vientiane' \
70 'Vladivostok' \
71 'Yakutsk' \
72 'Yekaterinburg' \
)
case "$asi" in 
00);;
01)tz="AST-3";;
02)tz="ALMT-6";;
03)tz="ANAT-11ANAST,M3.5.0,M10.5.0/3";;
04)tz="AQTT-5";;
05)tz="AQTT-5";;
06)tz="TMT-5";;
07)tz="AST-3";;
08)tz="AST-3";;
09)tz="AZT-4AZST,M3.5.0/4,M10.5.0/5";;
10)tz="ICT-7";;
11)tz="EET-2EEST,M3.5.0/0,M10.5.0/0";;
12)tz="KGT-6";;
13)tz="BNT-8";;
14)tz="CHOT-8";;
15)tz="CST-8";;
16)tz="IST-5:30";;
17)tz="EET-2EEST,M4.1.5/0,M10.5.5/0";;
18)tz="BDT-6";;
19)tz="TLT-9";;
20)tz="GST-4";;
21)tz="TJT-5";;
22)tz="EET-2EEST,M3.5.6/0:01,M9.1.5";;
23)tz="CST-8";;
24)tz="ICT-7";;
25)tz="HKT-8";;
26)tz="HOVT-7";;
27)tz="IRKT-8IRKST,M3.5.0,M10.5.0/3";;
28)tz="WIT-7";;
29)tz="EIT-9";;
30)tz="AFT-4:30";;
31)tz="PETT-11PETST,M3.5.0,M10.5.0/3";;
32)tz="PKT-5";;
33)tz="CST-8";;
34)tz="NPT-5:45";;
35)tz="IST-5:30";;
36)tz="KRAT-7KRAST,M3.5.0,M10.5.0/3";;
37)tz="MYT-8";;
38)tz="MYT-8";;
39)tz="AST-3";;
40)tz="CST-8";;
41)tz="MAGT-11MAGST,M3.5.0,M10.5.0/3";;
42)tz="CIT-8";;
43)tz="PHT-8";;
44)tz="GST-4";;
45)tz="EET-2EEST,M3.5.0/3,M10.5.0/4";;
46)tz="NOVT-6NOVST,M3.5.0,M10.5.0/3";;
47)tz="NOVT-6NOVST,M3.5.0,M10.5.0/3";;
48)tz="OMST-7";;
49)tz="ORAT-5";;
50)tz="ICT-7";;
51)tz="WIT-7";;
52)tz="KST-9";;
53)tz="AST-3";;
54)tz="QYZT-6";;
55)tz="MMT-6:30";;
56)tz="AST-3";;
57)tz="SAKT-10SAKST,M3.5.0,M10.5.0/3";;
58)tz="UZT-5";;
59)tz="KST-9";;
60)tz="CST-8";;
61)tz="SGT-8";;
62)tz="CST-8";;
63)tz="UZT-5";;
64)tz="GET-4";;
65)tz="BTT-6";;
66)tz="JST-9";;
67)tz="ULAT-8";;
68)tz="CST-8";;
69)tz="ICT-7";;
70)tz="VLAT-10VLAST,M3.5.0,M10.5.0/3";;
71)tz="YAKT-9YAKST,M3.5.0,M10.5.0/3";;
72)tz="YEKT-5YEKST,M3.5.0,M10.5.0/3";;
esac ;;

06) atl=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' ATLANTIC '    \
14 30 16                   \
00 'RETURN' \
01 'Azores' \
02 'Bermuda' \
03 'Canary' \
04 'Cape Verde' \
05 'Faroe' \
06 'Madeira' \
07 'Reykjavik' \
08 'South Georgia' \
09 'St Helena' \
10 'Stanley' \
)
case "$atl" in 
00);;
01)tz="AZOT1AZOST,M3.5.0/0,M10.5.0/1";;
02)tz="AST4ADT,M3.2.0,M11.1.0";;
03)tz="WET0WEST,M3.5.0/1,M10.5.0";;
04)tz="CVT1";;
05)tz="WET0WEST,M3.5.0/1,M10.5.0";;
06)tz="WET0WEST,M3.5.0/1,M10.5.0";;
07)tz="GMT0";;
08)tz="GST2";;
09)tz="GMT0";;
10)tz="FKT4FKST,M9.1.0,M4.3.0";;
esac ;;

07) aus=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' AUSTRALIA '    \
14 30 16                   \
00 'RETURN' \
01 'Adelaide' \
02 'Brisbane' \
03 'Broken Hill' \
04 'Currie' \
05 'Darwin' \
06 'Eucla' \
07 'Hobart' \
08 'Lindeman' \
09 'Lord Howe' \
10 'Melbourne' \
11 'Perth' \
12 'Sydney' \
)
case "$aus" in 
00);;
01)tz="CST-9:30CST,M10.1.0,M4.1.0/3";;
02)tz="EST-10";;
03)tz="CST-9:30CST,M10.1.0,M4.1.0/3";;
04)tz="EST-10EST,M10.1.0,M4.1.0/3";;
05)tz="CST-9:30";;
06)tz="CWST-8:45";;
07)tz="EST-10EST,M10.1.0,M4.1.0/3";;
08)tz="EST-10";;
09)tz="LHST-10:30LHST-11,M10.1.0,M4.1.0";;
10)tz="EST-10EST,M10.1.0,M4.1.0/3";;
11)tz="WST-8";;
12)tz="EST-10EST,M10.1.0,M4.1.0/3";;
esac ;;

08) eur=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' EUROPE '    \
14 30 16                   \
00 'RETURN' \
01 'Amsterdam' \
02 'Andorra' \
03 'Athens' \
04 'Belgrade' \
05 'Berlin' \
06 'Bratislava' \
07 'Brussels' \
08 'Bucharest' \
09 'Budapest' \
10 'Chisinau' \
11 'Copenhagen' \
12 'Dublin' \
13 'Gibraltar' \
14 'Guernsey' \
15 'Helsinki' \
16 'Isle of Man' \
17 'Istanbul' \
18 'Jersey' \
19 'Kaliningrad' \
20 'Kiev' \
21 'Lisbon' \
22 'Ljubljana' \
23 'London' \
24 'Luxembourg' \
25 'Madrid' \
26 'Malta' \
27 'Mariehamn' \
28 'Minsk' \
29 'Monaco' \
30 'Moscow' \
31 'Oslo' \
32 'Paris' \
33 'Podgorica' \
34 'Prague' \
35 'Riga' \
36 'Rome' \
37 'Samara' \
38 'San Marino' \
39 'Sarajevo' \
40 'Simferopol' \
41 'Skopje' \
42 'Sofia' \
43 'Stockholm' \
44 'Tallinn' \
45 'Tirane' \
46 'Uzhgorod' \
47 'Vaduz' \
48 'Vatican' \
49 'Vienna' \
50 'Vilnius' \
51 'Volgograd' \
52 'Warsaw' \
53 'Zagreb' \
54 'Zaporozhye' \
55 'Zurich' \
)
case "$eur" in 
00);;
01)tz="${EU1}";;
02)tz="${EU1}";;
03)tz="${EU2}";;
04)tz="${EU1}";;
05)tz="${EU1}";;
06)tz="${EU1}";;
07)tz="${EU1}";;
08)tz="${EU2}";;
09)tz="${EU1}";;
10)tz="${EU2}";;
11)tz="${EU1}";;
12)tz="GMT0IST,M3.5.0/1,M10.5.0";;
13)tz="${EU1}";;
14)tz="GMT0BST,M3.5.0/1,M10.5.0";;
15)tz="${EU2}";;
16)tz="GMT0BST,M3.5.0/1,M10.5.0";;
17)tz="${EU2}";;
18)tz="GMT0BST,M3.5.0/1,M10.5.0";;
19)tz="EET-2EEST,M3.5.0,M10.5.0/3";;
20)tz="${EU2}";;
21)tz="WET0WEST,M3.5.0/1,M10.5.0";;
22)tz="${EU1}";;
23)tz="GMT0BST,M3.5.0/1,M10.5.0";;
24)tz="${EU1}";;
25)tz="${EU1}";;
26)tz="${EU1}";;
27)tz="${EU2}";;
28)tz="EET-2EEST,M3.5.0,M10.5.0/3";;
29)tz="${EU1}";;
30)tz="MSK-4";;
31)tz="${EU1}";;
32)tz="${EU1}";;
33)tz="${EU1}";;
34)tz="${EU1}";;
35)tz="${EU2}";;
36)tz="${EU1}";;
37)tz="SAMT-3SAMST,M3.5.0,M10.5.0/3";;
38)tz="${EU1}";;
39)tz="${EU1}";;
40)tz="${EU2}";;
41)tz="${EU1}";;
42)tz="${EU2}";;
43)tz="${EU1}";;
44)tz="${EU2}";;
45)tz="${EU1}";;
46)tz="${EU2}";;
47)tz="${EU1}";;
48)tz="${EU1}";;
49)tz="${EU1}";;
50)tz="${EU2}";;
51)tz="VOLT-3VOLST,M3.5.0,M10.5.0/3";;
52)tz="${EU1}";;
53)tz="${EU1}";;
54)tz="${EU2}";;
55)tz="${EU1}";;
esac ;;

09) ind=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' INDIAN '    \
14 30 16                   \
00 'RETURN' \
01 'Antananarivo' \
02 'Chagos' \
03 'Christmas' \
04 'Cocos' \
05 'Comoro' \
06 'Kerguelen' \
07 'Mahe' \
08 'Maldives' \
09 'Mauritius' \
10 'Mayotte' \
11 'Reunion' \
)
case "$ind" in 
00);;
01)tz="EAT-3";;
02)tz="IOT-6";;
03)tz="CXT-7";;
04)tz="CCT-6:30";;
05)tz="EAT-3";;
06)tz="TFT-5";;
07)tz="SCT-4";;
08)tz="MVT-5";;
09)tz="MUT-4";;
10)tz="EAT-3";;
11)tz="RET-4";;
esac ;;

10) pac=$(
/mnt/ffs/bin/dialog --stdout               \
--nocancel		\
--no-lines	\
--title '       TIMEZONE SELECTOR        '  \
--menu ' PACIFIC '    \
14 30 16                   \
00 'RETURN' \
01 'Apia' \
02 'Auckland' \
03 'Chatham' \
04 'Efate' \
05 'Enderbury' \
06 'Fakaofo' \
07 'Fiji' \
08 'Funafuti' \
09 'Galapagos' \
10 'Gambier' \
11 'Guadalcanal' \
12 'Guam' \
13 'Honolulu' \
14 'Johnston' \
15 'Kiritimati' \
16 'Kosrae' \
17 'Kwajalein' \
18 'Majuro' \
19 'Marquesas' \
20 'Midway' \
21 'Nauru' \
22 'Niue' \
23 'Norfolk' \
24 'Noumea' \
25 'Pago Pago' \
26 'Palau' \
27 'Pitcairn' \
28 'Ponape' \
29 'Port Moresby' \
30 'Rarotonga' \
31 'Saipan' \
32 'Tahiti' \
33 'Tarawa' \
34 'Tongatapu' \
35 'Truk' \
36 'Wake' \
37 'Wallis' \
)
case "$pac" in 
00);;
01)tz="WST11";;
02)tz="NZST-12NZDT,M9.5.0,M4.1.0/3";;
03)tz="CHAST-12:45CHADT,M9.5.0/2:45,M4.1.0/3:45";;
04)tz="VUT-11";;
05)tz="PHOT-13";;
06)tz="TKT10";;
07)tz="FJT-12";;
08)tz="TVT-12";;
09)tz="GALT6";;
10)tz="GAMT9";;
11)tz="SBT-11";;
12)tz="ChST-10";;
13)tz="HST10";;
14)tz="HST10";;
15)tz="LINT-14";;
16)tz="KOST-11";;
17)tz="MHT-12";;
18)tz="MHT-12";;
19)tz="MART9:30";;
20)tz="SST11";;
21)tz="NRT-12";;
22)tz="NUT11";;
23)tz="NFT-11:30";;
24)tz="NCT-11";;
25)tz="SST11";;
26)tz="PWT-9";;
27)tz="PST8";;
28)tz="PONT-11";;
29)tz="PGT-10";;
30)tz="CKT10";;
31)tz="ChST-10";;
32)tz="TAHT10";;
33)tz="GILT-12";;
34)tz="TOT-13";;
35)tz="TRUT-10";;
36)tz="WAKT-12";;
37)tz="WFT-12";;
esac ;;

esac
done
